/**
 * 
 */
package eu.etaxonomy.taxeditor.test;

import org.eclipse.swtbot.eclipse.finder.SWTWorkbenchBot;
import org.eclipse.swtbot.eclipse.finder.waits.Conditions;
import org.eclipse.swtbot.swt.finder.junit.SWTBotJunit4ClassRunner;
import org.eclipse.swtbot.swt.finder.utils.SWTBotPreferences;
import org.junit.Before;
import org.junit.runner.RunWith;

/**
 * @author n.hoffmann
 *
 */
@RunWith(SWTBotJunit4ClassRunner.class)
public abstract class AbstractEditorTest {
	
	protected SWTWorkbenchBot bot;
	
	public SwtBotUtils utils;
	
	@Before
	public void setup() {
		bot = new SWTWorkbenchBot();
		SWTBotPreferences.TIMEOUT = 300000;
		utils = new SwtBotUtils(bot);
		
		// unfortunately swt bot is not available at the time this is set up
//		if("Choose a nomenclatural code".equals(getActiveShellHeadline())){
//			ok();
//			bot.waitUntil(Conditions.shellIsActive("Nomenclatural code set"));
//			ok();
//		}
		
		if("Connecting to datasource: cdm".equals(utils.getActiveShellHeadline())){
			performLogin();
		}
	}
	
	private void performLogin(){
		bot.waitUntil(Conditions.shellIsActive("Login"));
		bot.textWithLabel("Username").setText("admin");
		bot.textWithLabel("Password").setText("00000");
		bot.button("OK").click();
	}
	

	

}
