/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.selection;

import org.eclipse.swtbot.eclipse.finder.waits.Conditions;
import org.junit.Test;

/**
 * @author n.hoffmann
 *
 */
public class TaxonNodeSelectionElementTest extends AbstractSelectionElementTest {
	@Override
	public void setup() {
		super.setup();
		bot.menu("General").menu("New").menu("Taxon").click();
		bot.waitUntil(Conditions.shellIsActive("New Entity"));
	}
	
	@Test
	public void canSelectTaxon() {
		utils.openFilteredSelection(1, "Select parent taxon");
		utils.cancel();
	}
	
}
